
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef REGIONMAP_SCAN_H
#define REGIONMAP_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/velodyneScan.h"

#include "server/stereopixelScan.h"

#include "server/pomScan.h"


/* Structures du module */
#include "regionMapPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_REGIONMAP_LIGHTRMAP_POSTER_STR ( FILE *in, FILE *out,
       struct REGIONMAP_LIGHTRMAP_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_REGIONMAP_STR ( FILE *in, FILE *out,
       struct REGIONMAP_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_rmapDisplayParams ( FILE *in, FILE *out,
       struct rmapDisplayParams *x, int indent, int nDim, int *dims );
extern int scan_struct_rmapSaveParams ( FILE *in, FILE *out,
       struct rmapSaveParams *x, int indent, int nDim, int *dims );
extern int scan_struct_rmapLoadPgmParams ( FILE *in, FILE *out,
       struct rmapLoadPgmParams *x, int indent, int nDim, int *dims );
extern int scan_struct_rmapLoadParams ( FILE *in, FILE *out,
       struct rmapLoadParams *x, int indent, int nDim, int *dims );
extern int scan_struct_rmapRadiusParams ( FILE *in, FILE *out,
       struct rmapRadiusParams *x, int indent, int nDim, int *dims );
extern int scan_struct_rmapCircleParams ( FILE *in, FILE *out,
       struct rmapCircleParams *x, int indent, int nDim, int *dims );
extern int scan_struct_rmapConnectionParams ( FILE *in, FILE *out,
       struct rmapConnectionParams *x, int indent, int nDim, int *dims );
extern int scan_enum_rmapConnection ( FILE *in, FILE *out,
       enum rmapConnection *x, int indent, int nDim, int *dims );
extern int scan_struct_rmapInitParams ( FILE *in, FILE *out,
       struct rmapInitParams *x, int indent, int nDim, int *dims );
extern int scan_enum_rmapFusionType ( FILE *in, FILE *out,
       enum rmapFusionType *x, int indent, int nDim, int *dims );
extern int scan_enum_rmapBoolean ( FILE *in, FILE *out,
       enum rmapBoolean *x, int indent, int nDim, int *dims );
extern int scan_struct_rmapLightMap ( FILE *in, FILE *out,
       struct rmapLightMap *x, int indent, int nDim, int *dims );
extern int scan_struct_rmapMap ( FILE *in, FILE *out,
       struct rmapMap *x, int indent, int nDim, int *dims );
extern int scan_struct_rmapCell ( FILE *in, FILE *out,
       struct rmapCell *x, int indent, int nDim, int *dims );
extern int scan_enum_RMAP_PROBAS ( FILE *in, FILE *out,
       enum RMAP_PROBAS *x, int indent, int nDim, int *dims );
extern int scan_enum_RMAP_CELL_STATUS ( FILE *in, FILE *out,
       enum RMAP_CELL_STATUS *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_RMAP_CELL_STATUS ( FILE *in, FILE *out,
       RMAP_CELL_STATUS *x, int indent, int nDim, int *dims );
extern int scan_RMAP_PROBAS ( FILE *in, FILE *out,
       RMAP_PROBAS *x, int indent, int nDim, int *dims );
extern int scan_rmapCell ( FILE *in, FILE *out,
       rmapCell *x, int indent, int nDim, int *dims );
extern int scan_rmapMap ( FILE *in, FILE *out,
       rmapMap *x, int indent, int nDim, int *dims );
extern int scan_rmapLightMap ( FILE *in, FILE *out,
       rmapLightMap *x, int indent, int nDim, int *dims );
extern int scan_rmapBoolean ( FILE *in, FILE *out,
       rmapBoolean *x, int indent, int nDim, int *dims );
extern int scan_rmapFusionType ( FILE *in, FILE *out,
       rmapFusionType *x, int indent, int nDim, int *dims );
extern int scan_rmapInitParams ( FILE *in, FILE *out,
       rmapInitParams *x, int indent, int nDim, int *dims );
extern int scan_rmapConnection ( FILE *in, FILE *out,
       rmapConnection *x, int indent, int nDim, int *dims );
extern int scan_rmapConnectionParams ( FILE *in, FILE *out,
       rmapConnectionParams *x, int indent, int nDim, int *dims );
extern int scan_rmapCircleParams ( FILE *in, FILE *out,
       rmapCircleParams *x, int indent, int nDim, int *dims );
extern int scan_rmapRadiusParams ( FILE *in, FILE *out,
       rmapRadiusParams *x, int indent, int nDim, int *dims );
extern int scan_rmapLoadParams ( FILE *in, FILE *out,
       rmapLoadParams *x, int indent, int nDim, int *dims );
extern int scan_rmapLoadPgmParams ( FILE *in, FILE *out,
       rmapLoadPgmParams *x, int indent, int nDim, int *dims );
extern int scan_rmapSaveParams ( FILE *in, FILE *out,
       rmapSaveParams *x, int indent, int nDim, int *dims );
extern int scan_rmapDisplayParams ( FILE *in, FILE *out,
       rmapDisplayParams *x, int indent, int nDim, int *dims );
extern int scan_REGIONMAP_STR ( FILE *in, FILE *out,
       REGIONMAP_STR *x, int indent, int nDim, int *dims );
extern int scan_REGIONMAP_LIGHTRMAP_POSTER_STR ( FILE *in, FILE *out,
       REGIONMAP_LIGHTRMAP_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* REGIONMAP_SCAN_H */

