/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef REGIONMAP_PRINT_H
#define REGIONMAP_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/velodyneTclservClientEncode.h"

#include "server/tclservClient/stereopixelTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/regionMapPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_REGIONMAP_LIGHTRMAP_POSTER_STR ( buf_t buf, struct REGIONMAP_LIGHTRMAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_REGIONMAP_STR ( buf_t buf, struct REGIONMAP_STR *x, int nDim, int *dims);
void buf_add_struct_rmapDisplayParams ( buf_t buf, struct rmapDisplayParams *x, int nDim, int *dims);
void buf_add_struct_rmapSaveParams ( buf_t buf, struct rmapSaveParams *x, int nDim, int *dims);
void buf_add_struct_rmapLoadPgmParams ( buf_t buf, struct rmapLoadPgmParams *x, int nDim, int *dims);
void buf_add_struct_rmapLoadParams ( buf_t buf, struct rmapLoadParams *x, int nDim, int *dims);
void buf_add_struct_rmapRadiusParams ( buf_t buf, struct rmapRadiusParams *x, int nDim, int *dims);
void buf_add_struct_rmapCircleParams ( buf_t buf, struct rmapCircleParams *x, int nDim, int *dims);
void buf_add_struct_rmapConnectionParams ( buf_t buf, struct rmapConnectionParams *x, int nDim, int *dims);
void buf_add_enum_rmapConnection ( buf_t buf, enum rmapConnection *x, int nDim, int *dims);
void buf_add_struct_rmapInitParams ( buf_t buf, struct rmapInitParams *x, int nDim, int *dims);
void buf_add_enum_rmapFusionType ( buf_t buf, enum rmapFusionType *x, int nDim, int *dims);
void buf_add_enum_rmapBoolean ( buf_t buf, enum rmapBoolean *x, int nDim, int *dims);
void buf_add_struct_rmapLightMap ( buf_t buf, struct rmapLightMap *x, int nDim, int *dims);
void buf_add_struct_rmapMap ( buf_t buf, struct rmapMap *x, int nDim, int *dims);
void buf_add_struct_rmapCell ( buf_t buf, struct rmapCell *x, int nDim, int *dims);
void buf_add_enum_RMAP_PROBAS ( buf_t buf, enum RMAP_PROBAS *x, int nDim, int *dims);
void buf_add_enum_RMAP_CELL_STATUS ( buf_t buf, enum RMAP_CELL_STATUS *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_RMAP_CELL_STATUS ( buf_t buf, RMAP_CELL_STATUS *x, int nDim, int *dims);
void buf_add_RMAP_PROBAS ( buf_t buf, RMAP_PROBAS *x, int nDim, int *dims);
void buf_add_rmapCell ( buf_t buf, rmapCell *x, int nDim, int *dims);
void buf_add_rmapMap ( buf_t buf, rmapMap *x, int nDim, int *dims);
void buf_add_rmapLightMap ( buf_t buf, rmapLightMap *x, int nDim, int *dims);
void buf_add_rmapBoolean ( buf_t buf, rmapBoolean *x, int nDim, int *dims);
void buf_add_rmapFusionType ( buf_t buf, rmapFusionType *x, int nDim, int *dims);
void buf_add_rmapInitParams ( buf_t buf, rmapInitParams *x, int nDim, int *dims);
void buf_add_rmapConnection ( buf_t buf, rmapConnection *x, int nDim, int *dims);
void buf_add_rmapConnectionParams ( buf_t buf, rmapConnectionParams *x, int nDim, int *dims);
void buf_add_rmapCircleParams ( buf_t buf, rmapCircleParams *x, int nDim, int *dims);
void buf_add_rmapRadiusParams ( buf_t buf, rmapRadiusParams *x, int nDim, int *dims);
void buf_add_rmapLoadParams ( buf_t buf, rmapLoadParams *x, int nDim, int *dims);
void buf_add_rmapLoadPgmParams ( buf_t buf, rmapLoadPgmParams *x, int nDim, int *dims);
void buf_add_rmapSaveParams ( buf_t buf, rmapSaveParams *x, int nDim, int *dims);
void buf_add_rmapDisplayParams ( buf_t buf, rmapDisplayParams *x, int nDim, int *dims);
void buf_add_REGIONMAP_STR ( buf_t buf, REGIONMAP_STR *x, int nDim, int *dims);
void buf_add_REGIONMAP_LIGHTRMAP_POSTER_STR ( buf_t buf, REGIONMAP_LIGHTRMAP_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* REGIONMAP_TCLSERV_CLIENT_ENCODE_H */

